*** Settings ***
Documentation       Validate functionality of root domain site.

Resource            werefox_cafe.resource
Library             webdriver_methods.py
Variables           shared_vars.py    ${remote_url}

Default Tags        positive


*** Variables ***
${remote_url}       http://192.168.0.202:4444
${site_url}         https://werefox.cafe


*** Test Cases ***
Test Werefox Cafe    [Documentation]    Run Werefox Cafe Test Cases.
    Werefox Cafe Test Cases    ${site_url}
    [Teardown]    Teardown Webdriver    ${driver}
